Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for COM/DCOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.comadapter.comruntime
Interface STCIDispatch

All Superinterfaces:
  STCIUnknown

All Known Subinterfaces:
  ComOtdInterface

All Known Implementing Classes:
  ComOtdInterfaceImpl, STCDispatchDriver

    public interface STCIDispatch

extends STCIUnknown

IDispatch interface.

Method Summary
`STCComVariant` | `getProperty(java.lang.String propertyName, STCComVariant[] args)` Gets a property by name.
`STCComVariant` | `invoke(java.lang.String methodName, STCComVariant[] args)` Allows you to call a method by name on the underlying COM interface.
`void` | `setProperty(java.lang.String propertyName, STCComVariant[] args)` Sets a property by name.

Methods inherited from interface com.stc.connector.comadapter.comruntime.STCIUnknown
`AddRef, Release`

Method Detail

### invoke

    STCComVariant invoke(java.lang.String methodName,
                         STCComVariant[] args)
                         throws STCComException

  Allows you to call a method by name on the underlying COM interface.

  Parameters:
    `methodName` - The method name. Note that case is significant.
    `args` - An array of STCComVariant. As per COM rules, the arguments in this array are in reverse order.
  Returns:
    `STCComVariant` - Returns an STCComVariant which will hold the return value of the underlying Invoke, if applicable and if successful.
  Throws:
    `STCComException` - Thrown if Invoke on the underlying object fails.

### setProperty

    void setProperty(java.lang.String propertyName,
                     STCComVariant[] args)
                     throws STCComException

  Sets a property by name.

  Parameters:
    `propertyName` - The name of the property to set. Note that case is significant.
    `args` - An array of STCComVariant. As per COM rules, the arguments in this array are in reverse order. This parameter must be provided all the time since the array contains at least the new property value.
  Throws:
    `STCComException` - Thrown if the method on underlying object fails.

### getProperty

    STCComVariant getProperty(java.lang.String propertyName,
                              STCComVariant[] args)
                              throws STCComException

  Gets a property by name.

  Parameters:
    `propertyName` - The name of the property to get. Note that case is significant.
    `args` - An array of STCComVariant. As per COM rules, the arguments in this array are in reverse order. This parameter can be null or empty STCComVariant[] when the property does not have any parameters.
  Returns:
    `STCComVariant` - Returns an STCComVariant which holds the resulting value.
  Throws:
    `STCComException` - Thrown if the method on underlying COM interface fails.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for COM/DCOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Sun Microsystems, Inc. All rights reserved.